# coding: utf-8
from sqlalchemy import CHAR, Column, DateTime, LargeBinary, String, text
from sqlalchemy.dialects.mysql import BIT, INTEGER, TINYINT

from config.mysql import Base


class ZxPhrec(Base):
    __tablename__ = 'zx_phrec'

    pk_phrec = Column(INTEGER(11), primary_key=True, comment='病案清主键')
    pk_phhd = Column(INTEGER(11), index=True, comment='病案主键')
    cRectype = Column(CHAR(1), comment='记录类型（1-入院小结，2--出院小结，3--手术记录 4清单）')
    rowno = Column(TINYINT(4), server_default=text("'1'"), comment='序号')
    cfjaddress = Column(String(200), comment='附件地址')
    cfjaddress2 = Column(String(500), comment='附件地址2')
    cfjaddress3 = Column(String(500), comment='附件地址3')
    cfjblob = Column(LargeBinary, comment='附件')
    cfjblob2 = Column(LargeBinary, comment='附件2')
    cfjblob3 = Column(LargeBinary, comment='附件3')
    subsys_id = Column(String(4), comment='分系统代码')
    depiction = Column(String(100), comment='备注')
    isreupload = Column(CHAR(1), server_default=text("'0'"))
    checker = Column(String(10), comment='创建人')
    checktime = Column(DateTime, comment='创建时间')
    creator = Column(String(30), comment='创建人')
    creationtime = Column(DateTime, index=True, comment='创建时间')
    modifier = Column(String(30), comment='最后修改人')
    modifiedtime = Column(DateTime, comment='最后修改时间')
    cSource_flag = Column(String(4), server_default=text("'1'"), comment='病案来源')
    cStatus = Column(CHAR(1), server_default=text("'0'"), comment='状态')
    link_flag = Column(CHAR(1), server_default=text("'1'"), comment='是否采用链接')
    filetype_id = Column(String(10), server_default=text("'jpg'"), comment='文件类型id')
    cmiss_flag = Column(INTEGER(4), server_default=text("'0'"), comment='遗漏补拍标记')
    paint_flag = Column(CHAR(1), server_default=text("'0'"), comment='涂抹标志')
    paint_user = Column(String(30))
    paint_date = Column(DateTime)
    byz_xmbz_flag = Column(BIT(1))
    byz_zyrqcyjl_flag = Column(BIT(1))
    byz_zyhcyjl_flag = Column(BIT(1))
    byz_ftyccyjl_flag = Column(BIT(1))
    byz_ftycfyqd_flag = Column(BIT(1))
    byz_ftycjsd_flag = Column(BIT(1))
    unsharp_flag = Column(BIT(1))
    judge_backup = Column(String(40))
    ps_flag = Column(CHAR(1), server_default=text("'0'"), comment='图片是否ps过(0-无，1-ps过)')
